ApacheProxyServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.apache.ApacheProxyServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.apache
Interface ApacheProxyServer

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebProxyServer

    public interface ApacheProxyServer

extends WebProxyServer

Represents an Apache Proxy Server.

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`ApacheAllowCONNECTPort[]` | `getAllowCONNECTPorts()`
`int` | `getCacheDefaultExpire()`
`int` | `getCacheDirLength()`
`int` | `getCacheDirLevels()`
`int` | `getCacheForceCompletion()`
`int` | `getCacheGcInterval()`
`float` | `getCacheLastModifiedFactor()`
`int` | `getCacheMaxExpire()`
`java.lang.String` | `getCacheRoot()`
`int` | `getCacheSize()`
`java.lang.String` | `getProxyDomain()`
`int` | `getProxyReceiveBufferSize()`
`int` | `getProxyVia()`
`boolean` | `hasAllowCONNECTPorts()`
`boolean` | `hasCacheDefaultExpire()`
`boolean` | `hasCacheDirLength()`
`boolean` | `hasCacheDirLevels()`
`boolean` | `hasCacheForceCompletion()`
`boolean` | `hasCacheGcInterval()`
`boolean` | `hasCacheLastModifiedFactor()`
`boolean` | `hasCacheMaxExpire()`
`boolean` | `hasCacheRoot()`
`boolean` | `hasCacheSize()`
`boolean` | `hasProxyDomain()`
`boolean` | `hasProxyReceiveBufferSize()`
`boolean` | `hasProxyVia()`
`void` | `setAllowCONNECTPorts(ApacheAllowCONNECTPort[] allowCONNECTPorts)`
`void` | `setCacheDefaultExpire(int cacheDefaultExpire)`
`void` | `setCacheDirLength(int cacheDirLength)`
`void` | `setCacheDirLevels(int cacheDirLevels)`
`void` | `setCacheForceCompletion(int cacheForceCompletion)`
`void` | `setCacheGcInterval(int cacheGcInterval)`
`void` | `setCacheLastModifiedFactor(float cacheLastModifiedFactor)`
`void` | `setCacheMaxExpire(int cacheMaxExpire)`
`void` | `setCacheRoot(java.lang.String cacheRoot)`
`void` | `setCacheSize(int cacheSize)`
`void` | `setProxyDomain(java.lang.String proxyDomain)`
`void` | `setProxyReceiveBufferSize(int proxyReceiveBufferSize)`
`void` | `setProxyVia(int proxyVia)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebProxyServer
`getParent, hasParent, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getAllowCONNECTPorts

    ApacheAllowCONNECTPort[] getAllowCONNECTPorts()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"
  Containment Relationship:
    true

### setAllowCONNECTPorts

    void setAllowCONNECTPorts(ApacheAllowCONNECTPort[] allowCONNECTPorts)

### hasAllowCONNECTPorts

    boolean hasAllowCONNECTPorts()

### getProxyReceiveBufferSize

    int getProxyReceiveBufferSize()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProxyReceiveBufferSize

    void setProxyReceiveBufferSize(int proxyReceiveBufferSize)

### hasProxyReceiveBufferSize

    boolean hasProxyReceiveBufferSize()

### getProxyVia

    int getProxyVia()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProxyVia

    void setProxyVia(int proxyVia)

### hasProxyVia

    boolean hasProxyVia()

### getProxyDomain

    java.lang.String getProxyDomain()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProxyDomain

    void setProxyDomain(java.lang.String proxyDomain)

### hasProxyDomain

    boolean hasProxyDomain()

### getCacheForceCompletion

    int getCacheForceCompletion()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheForceCompletion

    void setCacheForceCompletion(int cacheForceCompletion)

### hasCacheForceCompletion

    boolean hasCacheForceCompletion()

### getCacheRoot

    java.lang.String getCacheRoot()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheRoot

    void setCacheRoot(java.lang.String cacheRoot)

### hasCacheRoot

    boolean hasCacheRoot()

### getCacheSize

    int getCacheSize()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheSize

    void setCacheSize(int cacheSize)

### hasCacheSize

    boolean hasCacheSize()

### getCacheGcInterval

    int getCacheGcInterval()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheGcInterval

    void setCacheGcInterval(int cacheGcInterval)

### hasCacheGcInterval

    boolean hasCacheGcInterval()

### getCacheMaxExpire

    int getCacheMaxExpire()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheMaxExpire

    void setCacheMaxExpire(int cacheMaxExpire)

### hasCacheMaxExpire

    boolean hasCacheMaxExpire()

### getCacheDirLevels

    int getCacheDirLevels()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheDirLevels

    void setCacheDirLevels(int cacheDirLevels)

### hasCacheDirLevels

    boolean hasCacheDirLevels()

### getCacheDirLength

    int getCacheDirLength()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheDirLength

    void setCacheDirLength(int cacheDirLength)

### hasCacheDirLength

    boolean hasCacheDirLength()

### getCacheDefaultExpire

    int getCacheDefaultExpire()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheDefaultExpire

    void setCacheDefaultExpire(int cacheDefaultExpire)

### hasCacheDefaultExpire

    boolean hasCacheDefaultExpire()

### getCacheLastModifiedFactor

    float getCacheLastModifiedFactor()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheLastModifiedFactor

    void setCacheLastModifiedFactor(float cacheLastModifiedFactor)

### hasCacheLastModifiedFactor

    boolean hasCacheLastModifiedFactor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD